:root {
    --slider-img-size: 80px;
    --max-paragraph-size: 800px;
    --button-container-h: 75px;
}

* {
    scrollbar-color: var(--primary-scrollbar) var(--secondary-scrollbar);
    scrollbar-width: thin;
}

body {
    margin:0;
    height:100dvh;
    width:100%;
}

html {
    width: 100%;
}

div.title > label {
    font:arial var(--primary-color);
    font-size:29px;
}

div.business-card {
    display:flex;
    flex-direction:column;
    grid-gap:6px;
    width: 600px; 
    background: var(--primary-color); 
    color: #ff8c00; 
    border-radius: 20px; 
    padding: 30px; 
    box-shadow: 0px 0px 20px 7px #ffffff4d;
}

    div.business-card > div[data-role="name"] {
        font-family: Roboto Mono, monospace;
        font-size: 55px;
    }

    div.business-card > div[data-role="title"] {
        font-family: Roboto Mono, monospace;
        font-size: 20px;
        flex: 1;
    }

    div.business-card > div[data-role="carousel"] {
        display: flex;
        flex-direction: row;
        grid-gap: 6px;
        margin-top:100px;
        margin-bottom:50px;
        justify-content:space-between;
    }

div {
    display: flex;
    grid-gap: 6px;
    background: inherit;  
}

label {
    font-size: 20px;
    user-select:none;
}

p {
    font-size: 30px !important;
}

div[--do-appear] {
    
}

div[--anchor-point] {
    scroll-snap-align: center;
}

iframe {
    border: none;
    margin: 0;
    width: 100%;
    height: 100%;
}

img {
    width:100%;
    object-fit:contain;
}

p {
    font-size: 16px;
    font: arial var(--primary-color);
    margin: 10px;
    user-select: none;
}

.flex-rows {
    display: flex;
    flex-direction: column;
    grid-gap: 6px;
    flex-wrap: wrap;
}

.flex-columns {
    display: flex;
    flex-direction: row;
    grid-gap: 6px;
    flex-wrap: wrap;
}

.wrapper {
    display: flex;
    flex-direction: column;
    grid-gap: 6px;
    flex-wrap: wrap;
}

    .wrapper > div:nth-of-type(odd) {
        background: var(--primary-bg);
    }

    .wrapper > div:nth-of-type(even) {
        background: var(--secondary-bg);
    }

.introductory-image {
    justify-content: center;
    background-image: url(../images/network_s.webp);
    background-size: cover;
    background-repeat: no-repeat;
    width: 100%;
    box-shadow: 0px 0px 20px 6px #000000;
    position:relative;
}

.button-container {
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    grid-gap: 0px !important;
    height: var(--button-container-h);
}

    .button-container > div {
        padding: 25px;
        transition: all 0.2s ease-in-out;
    }

        .button-container > div:hover {
            background: #8080805c;
        }

        .button-container > div:active {
            background: #808080a5;
        }

.pages {
    display: flex;
    flex-direction: row;
    grid-gap: unset;
    overflow: hidden;
    flex-wrap: nowrap;
    opacity: 0;
    width: min(70vw, 2000px);
}

    .pages > div {
        display: flex;
        flex-direction: row;
        grid-gap: 15px;
        flex: 1;
        flex-wrap: wrap;
        transition: all 0.75s ease-in-out;
        justify-content:center;
    }

    .pages div {
        position: relative;
    }

    .pages img {
        border-radius: 20px;
    }


    .pages > div > div:nth-of-type(odd) {
        height: 400px;
        min-width: 450px;
        grid-gap: unset;
        overflow: hidden;
        justify-content:center;
    }

    .pages > div > div:nth-of-type(even) {
        display: flex;
        flex-direction: column;
        grid-gap: 6px;
        flex-wrap: wrap;
        width: var(--max-paragraph-size);
    }        

.page-sel > div > div {
    background: #d4d4d4;
    width: 10px;
    height: 10px;
    border-radius:10px;
}

.page-sel > div > div[selected="true"] {
    background: #a9a9a9;
}

.slider-container {
    height: 100%;
    display: flex;
    flex-direction: row;
    grid-gap: 15px;
    flex-wrap: nowrap;
}

    .slider-container > div > div {
        width: var(--slider-img-size);
        display: flex;
        flex-direction: column;
        grid-gap: 10px;
        flex-wrap: nowrap;
    }
        .slider-container > div > div > div {
            width: 100%;
            min-height: var(--slider-img-size);
            max-height: var(--slider-img-size);
        }

            .slider-container > div > div > div > img {
                width: 100%;
            }

.alternate-items {
    justify-content: center;
    width: 100%;
}

    .alternate-items > div {
        display: flex;
        flex-direction: column;
        flex-wrap: wrap;
        grid-gap: 80px;
        width: 100%
    }

    .alternate-items img {
        border-radius: 20px;
        min-width:300px;
    }

    .alternate-items > div > div {
        display: flex;
        flex-direction: row;
        flex-wrap: wrap;
        padding:50px;
    }

        .alternate-items > div > div.inview {
            animation: appearAndMoveUp 0.7s linear;
        }

        .alternate-items > div > div:nth-of-type(odd) {
            justify-content: left;
            background: var(--primary-bg);
        }

        .alternate-items > div > div:nth-of-type(even) {
            justify-content: right;
            background: var(--secondary-bg);
        }

                .alternate-items > div > div:nth-of-type(even) > div {
                    flex-direction: row-reverse;
                }

                .alternate-items > div > div > div {
                    display: flex;
                    flex-direction: row;
                    grid-gap: 20px;
                    flex-wrap: wrap;
                }

                    .alternate-items > div > div > div > div:nth-of-type(odd) {
                        flex:1;
                    }

                    .alternate-items > div > div > div > div:nth-of-type(even) {
                        max-width: var(--max-paragraph-size);
                    }


.list-carousel {
    --min-fs: 40px;
    --min-height: calc(var(--min-fs) + 20px);
    --min-half-height: calc(var(--min-height) / 2);
}

    .list-carousel > div {
        transform-style: preserve-3d;
        transition: all 0.5s ease;
        min-width: 200px;
        display: block;
        position: relative;
        max-width: 100px;
        transform: rotateX(0deg) translateY(calc(-1 * var(--min-half-height)));
        background: none;
        font-size: var(--min-fs);
    }


        .list-carousel > div > div {
            grid-gap: 0;
            height: var(--min-height);
            width: 100%;
            position: absolute;
            justify-content: center;
            align-items: center;
            opacity: 1;
            display: flex;
            background: black;
            overflow: hidden;
        }

            .list-carousel > div > div:nth-child(1) {
                transform: translateZ(var(--min-half-height));
            }

            .list-carousel > div > div:nth-child(2) {
                transform: translateY(var(--min-half-height)) rotateX(270deg);
            }

            .list-carousel > div > div:nth-child(3) {
                transform: translateZ(calc(-1 * var(--min-half-height))) rotateX(180deg);
            }

            .list-carousel > div > div:nth-child(4) {
                transform: translateY(calc(-1 * var(--min-half-height))) rotateX(90deg);
            }


div.contacts-wrp {
    display: flex;
    flex-direction: column;
    grid-gap: 20px;
    min-width: 30vw;
    padding: 60px;
    border-radius: 10px;
    box-shadow: 0px 0px 20px 20px #c9c9c9;
}

label[data-size="big"] {
    font-size: 30px !important;
}

label[data-size="medium"] {
    font-size: 20px !important;
}

label[data-size="small"] {
    font-size: 16px !important;
}

div.contact-button {
    justify-content:center;
}

    div.contact-button > button {
        width: 100%;
        height: 50px;
    }

div.contact-textbox {
    flex: 1;
}

@keyframes slideup100 {
    from {
        transform: translateY(0%);
    }

    to {
        transform: translateY(-100%);
    }
}

@keyframes slidedown100 {
    from {
        transform: translateY(0%);
    }

    to {
        transform: translateY(+100%);
    }
}

@keyframes appearAndMoveUp {
    from {
        opacity:0;
        transform: translateY(50px);
    }

    to {
        opacity: 1;
        transform: translateY(0px);
    }
}

@keyframes disappearAndMoveDown {
    from {
        opacity: 1;
        transform: translateY(0px);
    }

    to {
        opacity: 0;
        transform: translateY(50px);
    }
}



@media (max-width: 768px), (pointer: coarse), (any-pointer: coarse), (hover: none), (any-hover: none) {

    div.button-container {
        height: calc(var(--button-container-h) * 1.5);
    }

        div.button-container label {
            font-size:40px;
        }

    div.wrapper > div {
        min-height: 100dvh !important;
        height: 100dvh !important;
    }

    div.contacts-wrp {
        min-width: 80dvw;
    }

    label[data-size="big"], p[data-size="big"] {
        font-size: 60px !important;
    }

    label[data-size="medium"], p[data-size="medium"] {
        font-size: 35px !important;
    }

    label[data-size="small"], p[data-size="small"] {
        font-size: 20px !important;
    }

    div.contact-textbox > textarea {
        font-size: 40px;
    }

    div.contact-button {
        min-height:200px;
        font-size:45px;
    }

        div.contact-button > button {
            height: 100%;
            width: 100%;
            font-size: 65px;
        }

    div.business-card {
        width: 750px;
        height: 400px;
    }



        div.business-card > div[data-role="name"] {
            font-family: Roboto Mono, monospace;
            font-size: 65px;
        }

        div.business-card > div[data-role="title"] {
            font-family: Roboto Mono, monospace;
            font-size: 35px;
        }


    .list-carousel {
        --min-fs: 65px;
    }
}
